Skip to content

List contributions

GET https://api.moalmanac.org/contributions

Retrieves Contributions from the database. Filters by contribution_id, agent, and agent_id. When include_records=true, each contribution gains a records extension listing the indications and statements it was made to, as {id, type, name, description}.

Parameters

Name Type Description Example
contribution_id string Return only the contribution with this id.
include_records boolean, default false Add a records extension listing the indications and statements each contribution was made to.
contribution string (repeatable) Contribution id. Repeatable; matches any of the given values (OR). ctrb:vanallenlab:2024-10-30:0
agent string (repeatable) Agent name, matched exactly. Repeatable; matches any of the given values (OR). Van Allen lab
agent_id string (repeatable) Agent id. Repeatable; matches any of the given values (OR). agent:user:vanallenlab
agent_type string (repeatable) Agent type. Repeatable; matches any of the given values (OR). organization

Example request

curl "https://api.moalmanac.org/contributions?contribution=ctrb%3Avanallenlab%3A2024-10-30%3A0"

Response

Returns the standard response envelope, with data set to a list of Contribution records, optionally with their records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Contributions retrieved successfully",
    "request_url": "https://api.moalmanac.org/contributions",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "ctrb:fda:2013-05-29:0",
      "type": "Contribution",
      "description": "Indication received traditional approval.",
      "date": "2013-05-29",
      "contributor": {
        "id": "agent:org:fda",
        "type": "Agent",
        "agentType": "organization",
        "name": "Food and Drug Administration",
        "description": "Regulatory agency that approves drugs for use in the United States."
      }
    }
  ]
}